=== debian/changelog ===
wp-mirror-mediawiki-extensions-math-texvc (1.24.22-1) unstable; urgency=low

  * Update: checkout git branch wmf/1.24wmf22

 -- WP-MIRROR <wpmirrordev@gmail.com>  Fri, 10 Oct 2014 19:30:00 -0400

wp-mirror-mediawiki-extensions-math-texvc (1.23-1) unstable; urgency=low

  * Initial release (Closes: #1000)  <bug number of the ITP>

 -- WP-MIRROR <wpmirrordev@gmail.com>  Mon, 17 Feb 2014 05:18:18 -0500
