=== debian/control ===
Source: wp-mirror-mediawiki-extensions-math-texvc
Section: web
Priority: optional
Maintainer: WP-MIRROR <wpmirrordev@gmail.com>
Build-Depends: debhelper (>= 9.20120909),
 ocaml (>= 3.8)
Standards-Version: 3.9.4
Homepage: http://www.mediawiki.org/wiki/Extension:Math
#Vcs-Git: git://git.debian.org/collab-maint/wp-mirror-mediawiki-extensions-math-texvc.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/wp-mirror-mediawiki-extensions-math-texvc.git;a=summary

Package: wp-mirror-mediawiki-extensions-math-texvc
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends},
# fonts-mathjax, fonts-mathjax-extras, libjs-mathjax,
 ghostscript, imagemagick, texlive-latex-base, texlive-latex-extra
Recommends: latex-cjk-all, wp-mirror-mediawiki-extensions
Description: math extension for MediaWiki (texvc binary files)
 Wp-mirror-mediawiki is a packaging of the development version of MediaWiki.
 It is used to render wikipedia pages and articles for a local mirror built
 by wp-mirror.
 .
 Wp-mirror-mediawiki-extensions is a packaging of many MediaWiki extensions,
 including the Math extension.
 .
 This package provides binaries used by the Math extension:
  * wp-mirror-texvc        -- converts TeX expression into PNG image file
  * wp-mirror-texvccheck   -- validates TeX expression (for MathJax)
