=== debian/watch ===
# No meaningful `watch' file can be constructed, because both the
# tarball and the Debian package are prepared by the same person.
